import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}		
    }
	
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }
	
	Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
	
    Column {
	id: content
	width: 480
	spacing: 30
	
	    DcpPageTitle {		
            text: qsTr("Charge Settings")
	    } 
        
		Row {
	    width: 480
	    	
            Label {
	            text: qsTr("Charge Notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: chargeNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/chargenotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Charge Notifications are enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/chargenotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Charge Notifications are disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/chargenotification", checked)
                }
            }			
        }
 
        Label {
	        text: qsTr("Enter five levels, for example, 10, 20, 30, 40 and 90. You will receive notification when battery will reach one of these levels. Don't forget to press 'Enter' after entering every level's value!")
	        font.pixelSize: 24
	        anchors.left: parent.left
			anchors.right: parent.right
	        anchors.leftMargin: 10
			wrapMode: Text.WordWrap
	        }
		
	    Row {
	        width: 480
	        spacing: 10
			anchors.left: parent.left
            anchors.leftMargin: 10
			anchors.right: parent.right
	
	        TextField {
	            width: 84
                placeholderText: gconf.get("/apps/alexxxlrus/pebble/charge/level_1", text) + "%"
				onAccepted: {
				gconf.set("/apps/alexxxlrus/pebble/charge/level_1", text)
				}
	        }
			
	        TextField {
	            width: 84
                placeholderText: gconf.get("/apps/alexxxlrus/pebble/charge/level_2", text) + "%"
				onAccepted: {
				gconf.set("/apps/alexxxlrus/pebble/charge/level_2", text)
				}
	        }

	        TextField {
	            width: 84
			    placeholderText: gconf.get("/apps/alexxxlrus/pebble/charge/level_3", text) + "%"
				onAccepted: {
				gconf.set("/apps/alexxxlrus/pebble/charge/level_3", text)
				}
	        }

	        TextField {
	            width: 84
                placeholderText: gconf.get("/apps/alexxxlrus/pebble/charge/level_4", text) + "%"
				onAccepted: {
				gconf.set("/apps/alexxxlrus/pebble/charge/level_4", text)
				}
	        }

	        TextField {
	            width: 84
                placeholderText: gconf.get("/apps/alexxxlrus/pebble/charge/level_5", text) + "%"
				onAccepted: {
				gconf.set("/apps/alexxxlrus/pebble/charge/level_5", text)
				}
	        }		
	    }	

        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}
		
	Separator {
	color: "white"
	title: qsTr("Other")
	}

        Row {
	    width: 480
	    	
            Label {
	            text: qsTr("Charging status and \n\Battery is full")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: fullbatteryNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/fullbatterynotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Full Battery Notification is enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/fullbatterynotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Full Battery Notification is disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/fullbatterynotification", checked)
                }
            }			
        }
		
        Row {
	    width: 480
	    	
            Label {
	            text: qsTr("Sometimes battery notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: smtbatteryNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/smtbatterynotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Full Battery Notification is enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/smtbatterynotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Full Battery Notification is disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/smtbatterynotification", checked)
                }
            }			
        }

		Separator {
            title: qsTr("Battery checking delay")
            color: "white"		
		}
		
        Slider {
            id: batterySlider
            width: parent.width
            maximumValue: 315
            minimumValue: 0
            value: gconf.get("/apps/alexxxlrus/pebble/battery_delay", value) - 5
            stepSize: 5
            valueIndicatorVisible: true
            valueIndicatorText: qsTr("%1 min.").arg(parseInt(value) + 5)
            onValueChanged: gconf.set("/apps/alexxxlrus/pebble/battery_delay", value + 5)
        } 
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}
		
        Item {
		width: 1
		height: 40
		}
	}	
}	

    ScrollDecorator {
        flickableItem: flickable
    }

    Component.onCompleted: {
		chargeNotification.checked = gconf.get("/apps/alexxxlrus/pebble/chargenotification", false)
		fullbatteryNotification.checked = gconf.get("/apps/alexxxlrus/pebble/fullbatterynotification", false)
		smtbatteryNotification.checked = gconf.get("/apps/alexxxlrus/pebble/smtbatterynotification", false)
	}	
}        