import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}	
    }
	  
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }
		
    Column {
	id: content
	width: 480
	spacing: 30
	
	    DcpPageTitle {		
            text: qsTr("GPRS Settings")
	    }
		
 		Row {
	    width: 480
	    	
            Label {
	            text: qsTr("GPRS Notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: gprsNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/gprsnotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("GPRS Notifications are enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/gprsnotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("GPRS Notifications are disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/gprsnotification", checked)
                }
            }			
        }
 		
		Separator {
            title: qsTr("GPRS-traffic daily limit")
            color: "white"		
		}
			
	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/gprs_limit", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/gprs_limit", text)
		    }
	    }
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}	
		
        Item {
		width: 1
		height: 40
		}
	}		

    Component.onCompleted: {
		gprsNotification.checked = gconf.get("/apps/alexxxlrus/pebble/gprsnotification", false)
	}	
}        