import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}	
    }
	  
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }
	
    Column {
	id: content
	height: content.height
	spacing: 30
	
	    DcpPageTitle {		
            text: qsTr("LAN Settings")
	    }
		
        Row {
	    width: 480
	    	
            Label {
	            text: qsTr("LAN Notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: lanNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/lannotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("LAN Notifications are enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/lannotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("LAN Notifications are disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/lannotification", checked)
                }
            }			
        } 
        
		Separator {
            title: qsTr("LAN checking delay")
            color: "white"		
		}
		
        Slider {
            id: lancheckSlider
            width: parent.width
            maximumValue: 55
            minimumValue: 0
            value: gconf.get("/apps/alexxxlrus/pebble/lan_delay", value) - 5
            stepSize: 5
            valueIndicatorVisible: true
            valueIndicatorText: qsTr("%1 sec.").arg(parseInt(value) + 5)
            onValueChanged: gconf.set("/apps/alexxxlrus/pebble/lan_delay", value + 5)
        } 
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}
		
		Separator {
            title: qsTr("Other")
            color: "white"		
		}
		
        Row {
	    width: 480
	    	
            Label {
	            text: qsTr("Cellular Type Notification")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: celltypeNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/celltypenotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Cellular Type Notification is enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/celltypenotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("Cellular Type Notification is disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/celltypenotification", checked)
                }
            }			
        } 				
	}
	
    Component.onCompleted: {
	    celltypeNotification.checked = gconf.get("/apps/alexxxlrus/pebble/celltypenotification", false)
		lanNotification.checked = gconf.get("/apps/alexxxlrus/pebble/lannotification", false)
	}
}        