import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
		
	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}
		
		ToolIcon { iconId: "icon-m-low-power-mode-invitation-pending"; onClicked: aboutDialog.open()}
    }		
  
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }

    QueryDialog {
    id: aboutDialog	
    titleText: qsTr("Pebble Settings Applet v1.0.0")	
	message: qsTr("Created by Ancelad in 0x7DF. About bla-bla-bla.")
    rejectButtonText: qsTr("Close")	
    }
	
    Column {
	id: content
	spacing: 10
	height: content.height

	    DcpPageTitle {		
            text: qsTr("Pebble Settings")
	    }
	
        Button {
            height: 80
            width: 480
            platformStyle: ButtonStyle {
                background: ""
                pressedBackground: "/usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-panel/meegotouch-panel-background-selected.png"
                }
				
		        onClicked: {
                pageStack.push(Qt.resolvedUrl("LanPage.qml"))
			    } 
				
            Row {
	            width: parent.width
	            height: parent.height
	
                Label {
	                text: qsTr("LAN Notification")
	                font.pixelSize: 30
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
	                anchors.left: parent.left
	                anchors.leftMargin: 10
                    verticalAlignment: Text.AlignVCenter
	            }
     
	            Image {
	                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-common-drilldown-arrow-inverse.png"
	                anchors.right: parent.right
	                width: 32
	                height: 32
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
                    anchors.topMargin: 24
	                anchors.bottomMargin: 24
	            }
            }
        }

        Button {
            height: 80
            width: 480
            platformStyle: ButtonStyle {
                background: ""
                pressedBackground: "/usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-panel/meegotouch-panel-background-selected.png"
                }
				
		        onClicked: {
                pageStack.push(Qt.resolvedUrl("ChargePage.qml"))
			    } 
				
            Row {
	            width: parent.width
	            height: parent.height
	
                Label {
	                text: qsTr("Charge Notification")
	                font.pixelSize: 30
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
	                anchors.left: parent.left
	                anchors.leftMargin: 10
                    verticalAlignment: Text.AlignVCenter
	            }
     
	            Image {
	                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-common-drilldown-arrow-inverse.png"
	                anchors.right: parent.right
	                width: 32
	                height: 32
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
                    anchors.topMargin: 24
	                anchors.bottomMargin: 24
	            }
            }
        }
		
        Button {
            height: 80
            width: 480
            platformStyle: ButtonStyle {
                background: ""
                pressedBackground: "/usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-panel/meegotouch-panel-background-selected.png"
                }
				
		        onClicked: {
                pageStack.push(Qt.resolvedUrl("MeeCastPage.qml"))
			    }
				
            Row {
	            width: parent.width
	            height: parent.height
	
                Label {
	                text: qsTr("MeeCast Notification")
	                font.pixelSize: 30
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
	                anchors.left: parent.left
	                anchors.leftMargin: 10
                    verticalAlignment: Text.AlignVCenter
	            }
     
	            Image {
	                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-common-drilldown-arrow-inverse.png"
	                anchors.right: parent.right
	                width: 32
	                height: 32
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
                    anchors.topMargin: 24
	                anchors.bottomMargin: 24
	            }
            }
        }

        Button {
            height: 80
            width: 480
            platformStyle: ButtonStyle {
                background: ""
                pressedBackground: "/usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-panel/meegotouch-panel-background-selected.png"
                }
				
		        onClicked: {
                pageStack.push(Qt.resolvedUrl("RSSPage.qml"))
			    }	
				
            Row {
	            width: parent.width
	            height: parent.height
	
                Label {
	                text: qsTr("RSS Notification")
	                font.pixelSize: 30
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
	                anchors.left: parent.left
	                anchors.leftMargin: 10
                    verticalAlignment: Text.AlignVCenter
	            }
     
	            Image {
	                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-common-drilldown-arrow-inverse.png"
	                anchors.right: parent.right
	                width: 32
	                height: 32
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
                    anchors.topMargin: 24
	                anchors.bottomMargin: 24
	            }
            }
        }			

        Button {
            height: 80
            width: 480
            platformStyle: ButtonStyle {
                background: ""
                pressedBackground: "/usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-panel/meegotouch-panel-background-selected.png"
                }
				
		        onClicked: {
                pageStack.push(Qt.resolvedUrl("GPRSPage.qml"))
			    }
				
            Row {
	            width: parent.width
	            height: parent.height
	
                Label {
	                text: qsTr("GPRS Traffic Control")
	                font.pixelSize: 30
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
	                anchors.left: parent.left
	                anchors.leftMargin: 10
                    verticalAlignment: Text.AlignVCenter
	            }
     
	            Image {
	                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-common-drilldown-arrow-inverse.png"
	                anchors.right: parent.right
	                width: 32
	                height: 32
	                anchors.top: parent.top
	                anchors.bottom: parent.bottom
                    anchors.topMargin: 24
	                anchors.bottomMargin: 24
	            }
            }
        }

        Row {
	    width: parent.width
	    	
            Label {
	            text: qsTr("Alarm Notification")
	            font.pixelSize: 30
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: alarmNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/alarmnotifocation", "true")
                        //ambiance.shell("path_to_script")
                        //banner.notify(qsTr("Done!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/alarmnotifocation", "false")
                        //ambiance.shell("path_to_script")
                        //banner.notify(qsTr("Done!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/alarmnotifocation", checked)
                }
            }			
        }    
	}

    Component.onCompleted: {
		alarmNotification.checked = gconf.get("/apps/alexxxlrus/pebble/alarmnotifocation", false)
	}
}        