import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}	
    }
	  
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }
		
    Column {
	id: content
	width: 480
	spacing: 30
	
	    DcpPageTitle {		
            text: qsTr("MeeCast Settings")
	    } 
        
		Row {
	    width: 480
	    	
            Label {
	            text: qsTr("MeeCast Notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: meecastNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/meecastnotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("MeeCast Notifications are enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/meecastnotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("MeeCast Notifications are disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/meecastnotification", checked)
                }
            }			
        }
 		
		Separator {
            title: qsTr("MeeCast Notification interval")
            color: "white"		
		}
		
        Slider {
            id: meecastSlider
            width: 450
			anchors.horizontalCenter: parent.horizontalCenter
            maximumValue: 310
            minimumValue: 0
            value: gconf.get("/apps/alexxxlrus/pebble/meecast_delay", value) - 10
            stepSize: 1
            valueIndicatorVisible: true
            valueIndicatorText: qsTr("%1 min.").arg(parseInt(value) + 10)
            onValueChanged: gconf.set("/apps/alexxxlrus/pebble/meecast_delay", value + 10)
        } 
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}
    }
		
    Component.onCompleted: {
		meecastNotification.checked = gconf.get("/apps/alexxxlrus/pebble/meecastnotification", false)
	}	
}        