import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

	tools: ToolBarLayout {
        ToolIcon { 
		iconId: "toolbar-back"
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
		}	
    }
	  
    GConf {
        id: gconf
    }
	
    Ambiance {
        id: ambiance
    }
	
	Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
	
    Column {
	id: content
	width: 480
	spacing: 30
	
	    DcpPageTitle {		
            text: qsTr("RSS Settings")
	    }
		
 		Row {
	    width: 480
	    	
            Label {
	            text: qsTr("RSS Notifications")
	            font.pixelSize: 26
	            anchors.top: parent.top
	            anchors.bottom: parent.bottom
	            anchors.left: parent.left
	            anchors.leftMargin: 10
                verticalAlignment: Text.AlignVCenter
	        }   
            
			MySwitch {
			id: rssNotification
			anchors.right: parent.right
                onClicked: {
                    if (checked) {
					    gconf.set("/apps/alexxxlrus/pebble/rssnotification", "true")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("RSS Notifications are enabled!"))
                        }
                    else {
					    gconf.set("/apps/alexxxlrus/pebble/rssnotification", "false")
                        //ambiance.shell("path_to_script")
                        banner.notify(qsTr("RSS Notifications are disabled!"))
                        }
                    gconf.set("/apps/alexxxlrus/pebble/rssnotification", checked)
                }
            }			
        }
 		
		Separator {
            title: qsTr("RSS Notification interval")
            color: "white"		
		}
		
        Slider {
            id: rssSlider
			width: parent.width
			anchors.horizontalCenter: parent.horizontalCenter
            maximumValue: 59
            minimumValue: 0
            value: gconf.get("/apps/alexxxlrus/pebble/rss_delay", value) - 1
            stepSize: 1
            valueIndicatorVisible: true
            valueIndicatorText: qsTr("%1 min.").arg(parseInt(value) + 1)
            onValueChanged: gconf.set("/apps/alexxxlrus/pebble/rss_delay", value + 1)
        } 
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}

		Separator {
            title: qsTr("RSS links")
            color: "white"		
		}
		
        Label {
	        text: qsTr("Enter five RSS-links. Don't forget to press 'Enter' after entering every link!")
	        font.pixelSize: 24
	        anchors.left: parent.left
			anchors.right: parent.right
	        anchors.leftMargin: 10
			wrapMode: Text.WordWrap
	    }
			
	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/rss/rss_1", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/rss/rss_1", text)
		    }
	    }

	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/rss/rss_2", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/rss/rss_2", text)
		    }
	    }
		
	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/rss/rss_3", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/rss/rss_3", text)
		    }
	    }

	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/rss/rss_4", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/rss/rss_4", text)
		    }
	    }

	    TextField {
	        width: parent.width
            placeholderText: gconf.get("/apps/alexxxlrus/pebble/rss/rss_5", text)
		    onAccepted: {
		    gconf.set("/apps/alexxxlrus/pebble/rss/rss_5", text)
		    }
	    }
		
        Button {
		text: qsTr("Save")
		anchors.horizontalCenter: parent.horizontalCenter
		    onClicked: {
		    //ambiance.shell("path_to_script")
            banner.notify(qsTr("Done!"))
			}
		}	
		
        Item {
		width: 1
		height: 40
		}
	}	
}	

    ScrollDecorator {
        flickableItem: flickable
    }

    Component.onCompleted: {
		rssNotification.checked = gconf.get("/apps/alexxxlrus/pebble/rssnotification", false)
	}	
}        